Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.0.3

Description

When I try to update a particular Version's name, a StaleObject error is thrown. I can update all the other Versions with no problem.

I'm the admin.

RM 1.0.3 with Postgres 8.4.5

Processing VersionsController#update (for 192.168.2.2 at 2010-11-16 18:31:14) [POST]

  Parameters: {"commit"=>"Save", "action"=>"update", "authenticity_token"=>"XXXXXX", "id"=>"10", "

version"=>{"name"=>"Tech Support", "wiki_page_title"=>"", "effective_date"=>"", "description"=>"",

 "status"=>"open", "sharing"=>"descendants"}, "controller"=>"versions"}

ActiveRecord::StaleObjectError (Attempted to update a stale object):

  app/controllers/versions_controller.rb:109:in `update'

  passenger (2.2.15) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.15) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:441:in `start_request_hand

ler'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:381:in `handle_spawn_appli

cation'

  passenger (2.2.15) lib/phusion_passenger/utils.rb:252:in `safe_fork'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:377:in `handle_spawn_appli

cation'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:222:in `start'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:247:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:145:in `spawn_application'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:278:in `handle_spawn_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

 Ruby output:

About your application's environment

Ruby version              1.8.7 (i386-freebsd7)

RubyGems version          1.3.7

Rack version              1.2

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /usr/local/www/redmine

Environment               development
Database adapter          postgresql

Database schema version   20100407184912

History

#1 - 2010-12-23 06:25 - Jean-Baptiste Barth

Sorry we missed this bug report. Is it solved ? If not, can you try to install a fresh redmine instance and tell us the minimal steps to reproduce ? Does

it happen every time you update this version ?

#2 - 2011-04-01 11:36 - Etienne Massip

- Category set to Issues

- Affected version (unused) set to 1.0.3

- Affected version set to 1.0.3

#3 - 2017-04-30 09:46 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

I am closing this issue because Redmine 1.0.3 is too old.

Please open a new issue if the problem persists with the latest versions of Redmine.

Powered by TCPDF (www.tcpdf.org)

2025-05-03 2/2

http://www.tcpdf.org

